<!DOCTYPE html>
<html lang="fr" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>La Baie Ourson</title>
    <link rel="stylesheet" href="/assets/css/app.css">
</head>
<body>
<header class="header">
    <a href="/">
        <img class="brand" src="/assets/img/brand.svg" alt="La Baie Ourson">
    </a>
</header>
<nav class="nav">
    <a class="active" href="/">Produits</a>
    <a href="/cart">Panier</a>
    <a th:if="${session.user == null}" href="/sign-up">Créer un compte</a>
    <a th:if="${session.user == null}" href="/sign-in">Se connecter</a>
    <a th:if="${session.user != null}" href="/sign-out">Se déconnecter</a>
</nav>
<main>
    <section class="product-grid">
        <a th:each="product: ${products}" class="product" th:href="|/product/${product.sku}|">
            <img class="image" th:src="|/assets/img/${product.sku}.png|" th:alt="${product.name}">
            <div class="name">[[${product.name}]]</div>
            <div class="price">[[${product.price}]] $</div>
        </a>
    </section>
</main>
<footer class="footer">
    Copyright @2025 La Baie Ourson Inc.
</footer>
</body>
</html>